Auth
Core Resources · 3 endpoints
POST
/v1/auth/device/codeCreate Device Authorization
public_device_authorization
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
client_name | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | DeviceAuthorizationCreateResponse | required | |
data.device_code | string | required | |
data.expires_in | integer | required | |
data.interval | integer | required | |
data.object | string | optional | device_authorization |
data.user_code | string | required | |
data.verification_uri | string | required | |
data.verification_uri_complete | string | required | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/auth/device/code \
-X POST \
-H "Authorization: Bearer $GETME_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"client_name": "client_name"
}'POST
/v1/auth/device/tokenPoll Device Authorization
public_device_authorization
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
device_code | string | required |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | DeviceAuthorizationTokenResponse | required | |
data.error | string | optional | |
data.interval | integer | required | |
data.object | string | optional | device_authorization_token |
data.profile_hint | string | optional |
GET
/v1/auth/statusAuth Status
app_install_bearer
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | DeveloperAuthStatusObject | required | |
data.app | string | optional | Developer app public identifier for app-install tokens. |
data.app_install | string | optional | App install public identifier for app-install tokens. |
data.authenticated | boolean | optional | |
data.company | string | optional | Company public identifier for the token scope. |
data.credential_type | string | required | |
data.environment | string | required |